Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Hello, I would appreciate if I can get your input on that as I am facing the same issue. I was facing the same issue as you and the log files were showing the same error. I followed the steps you suggested but now i am getting a different error. I am using OpenStack (Rocky) with Ubuntu 18.04.

when i type gnocchi status, I get the following error.

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>504 Gateway Timeout</title>
</head><body>
<h1>Gateway Timeout</h1>
<p>The gateway did not receive a timely response
from the upstream server or application.</p>
<hr>
<address>Apache/2.4.29 (Ubuntu) Server at controller Port 8041</address>
</body></html>
 (HTTP 504)

Following are the contents of /var/log/apache2/gnocchi_error.log. I don't understand why is gnocchi checking on port 6379. I have tried it by disabling the coordination_url = redis://controller:6379 in /etc/gnocchi/gnocchi.conf but still no luck.

2019-05-09 11:09:39.916529 ToozConnectionError: Error 111 connecting to controller:6379. Connection refused.
2019-05-09 11:09:44.603123 2019-05-09 11:09:44,602 [16557] ERROR    gnocchi.utils: Unable to initialize coordination driver
2019-05-09 11:09:44.603169 Traceback (most recent call last):
2019-05-09 11:09:44.603180   File "/usr/lib/python2.7/dist-packages/tenacity/__init__.py", line 333, in call
2019-05-09 11:09:44.603189     result = fn(*args, **kwargs)
2019-05-09 11:09:44.603198   File "/usr/lib/python2.7/dist-packages/gnocchi/cli/metricd.py", line 45, in get_coordinator_and_start
2019-05-09 11:09:44.603206     coord.start(start_heart=True)
2019-05-09 11:09:44.603215   File "/usr/lib/python2.7/dist-packages/tooz/coordination.py", line 687, in start
2019-05-09 11:09:44.603223     super(CoordinationDriverWithExecutor, self).start(start_heart)
2019-05-09 11:09:44.603232   File "/usr/lib/python2.7/dist-packages/tooz/coordination.py", line 423, in start
2019-05-09 11:09:44.603260     self._start()
2019-05-09 11:09:44.603267   File "/usr/lib/python2.7/dist-packages/tooz/drivers/redis.py", line 449, in _start
2019-05-09 11:09:44.603274     self._server_info = self._client.info()
2019-05-09 11:09:44.603281   File "/usr/lib/python2.7/contextlib.py", line 35, in __exit__
2019-05-09 11:09:44.603288     self.gen.throw(type, value, traceback)
2019-05-09 11:09:44.603295   File "/usr/lib/python2.7/dist-packages/tooz/drivers/redis.py", line 51, in _translate_failures
2019-05-09 11:09:44.603303     cause=e)
2019-05-09 11:09:44.603309   File "/usr/lib/python2.7/dist-packages/tooz/utils.py", line 225, in raise_with_cause
2019-05-09 11:09:44.603316     excutils.raise_with_cause(exc_cls, message, *args, **kwargs)
2019-05-09 11:09:44.603324   File "/usr/lib/python2.7/dist-packages/oslo_utils/excutils.py", line 143, in raise_with_cause
2019-05-09 11:09:44.603331     six.raise_from(exc_cls(message, *args, **kwargs), kwargs.get('cause'))
2019-05-09 11:09:44.603338   File "/usr/lib/python2.7/dist-packages/six.py", line 737, in raise_from
2019-05-09 11:09:44.603345     raise value
2019-05-09 11:09:44.603352 ToozConnectionError: Error 111 connecting to controller:6379. Connection refused.

The same error is being reproduced in /var/log/gnocchi/gnocchi-metricd.log

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/tenacity/__init__.py", line 333, in call
    result = fn(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/gnocchi/cli/metricd.py", line 45, in get_coordinator_and_start
    coord.start(start_heart=True)
  File "/usr/lib/python3/dist-packages/tooz/coordination.py", line 687, in start
    super(CoordinationDriverWithExecutor, self).start(start_heart)
  File "/usr/lib/python3/dist-packages/tooz/coordination.py", line 423, in start
    self._start()
  File "/usr/lib/python3/dist-packages/tooz/drivers/redis.py", line 449, in _start
    self._server_info = self._client.info()
  File "/usr/lib/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/lib/python3/dist-packages/tooz/drivers/redis.py", line 51, in _translate_failures
    cause=e)
  File "/usr/lib/python3/dist-packages/tooz/utils.py", line 225, in raise_with_cause
    excutils.raise_with_cause(exc_cls, message, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/oslo_utils/excutils.py", line 143, in raise_with_cause
    six.raise_from(exc_cls(message, *args, **kwargs), kwargs.get('cause'))
  File "<string>", line 3, in raise_from
tooz.coordination.ToozConnectionError: Error 111 connecting to controller:6379. Connection refused.

Thank you for reading, Any input is apprecaited.